POE::Resource::Extrefs(3)

NAME
POE::Resource::Extrefs - internal reference counts manager for POE::Kernel

SYNOPSIS
There is no public API.

DESCRIPTION
POE::Resource::Extrefs is a mix-in class for POE::Kernel. It provides the features to manage session reference counts, specifically the ones that applications may use. POE::Resource::Extrefs is used internally by POE::Kernel, so it has no public interface.

SEE ALSO
See "Public Reference Counters" in POE::Kernel for the public extref API.

See "Resources" in POE::Kernel for for public information about POE resources.

See POE::Resource for general discussion about resources and the classes that manage them.

BUGS
Reference counters have no ownership information, so one entity's reference counts may conflict with another's. This is usually not a problem if all entities behave.

AUTHORS & COPYRIGHTS
Please see POE for more information about authors and contributors.